Mozilla released Firefox 3.0.14 , since latest Firefox browser is Firefox 3.5.3 there will  be no support for Firefox 3.0.x users after January 2010. So all users using Firefox 3 versions recommended to upgrade to latest version of Firefox that is Firefox 3.5.

If you notice warning to update flash player plug-in for your Firefox browser,  Mozilla alerts users having  out of date flash player plug-in after installing security update.

This security update fixes several security and stability issues found in Firefox 3.0.13.

For more details read Firefox 3.0.14 release notes.

Firefox 3 users can updated to latest version by selecting help menu and clicking check for updates.

Related articles

Please share this article
submit to reddit